-- if g_specializationManager:getSpecializationByName("UseYourTyres") == nil then
--     g_specializationManager:addSpecialization("UseYourTyres", "UseYourTyres", Utils.getFilename("src/useYourTyres.lua", g_currentModDirectory), nil);
-- end

-- for vehicleTypeName, vehicleType in pairs(g_vehicleTypeManager.types) do
--     if vehicleType ~= nil and SpecializationUtil.hasSpecialization(Wheels, vehicleType.specializations) and not SpecializationUtil.hasSpecialization(Locomotive, vehicleType.specializations) then
--         g_vehicleTypeManager:addSpecialization(vehicleTypeName, "UseYourTyres")
--         print("--- UseYourTyres registered into --> " .. vehicleTypeName)
--     end
-- end

source(Utils.getFilename("src/useYourTyres.lua", g_currentModDirectory));
